> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rubens-products/rubens-configurator/customisation/hide-bottom-bar.md).

# Hide Bottom Bar

Besides of hiding buttons in the Rubens UI, you can also hide the whole bottom bar which is displayed at the bottom of the configurator.

This is easily possible with just one parameter which you can add in the init data:

```typescript
const configuratorId = "demoConfigurator";
  const domElement = document.getElementById("configurator-container");
  const initData = {
    elements: {
      bottom_bar: false,
    },
  };
  const configurator = await RoomleConfiguratorApi.create(
    configuratorId,
    domElement,
    initData
  );
```

## Code Sandbox Example:

You can find an example in this [Code Sandbox.](https://codesandbox.io/p/sandbox/hide-bottom-bar-5qvtxx)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rubens-products/rubens-configurator/customisation/hide-bottom-bar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
